Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.imp3d.msml
Class CoordTransformer

    java.lang.Object
      de.grogra.imp3d.msml.CoordTransformer

    public class CoordTransformer

extends java.lang.Object

This class provides methods to transform coordinates from a coordinatesystem to another one.

Author:
  Soeren Schneider

Field Summary
`protected float` | `angleDirection`
`protected Matrix3f` | `baseTransformMatrix`

Constructor Summary
`CoordTransformer(Matrix3f in, Matrix3f out)`

Method Summary
`protected boolean` | `isRightHandedCS(Matrix3f m3f)` Test, whether a CS given by a Matrix uses righthanded orientation.
`AxisAngle4d` | `transform(AxisAngle4d in)`
`AxisAngle4f` | `transform(AxisAngle4f in)`
`Matrix3d` | `transform(Matrix3d in)`
`Matrix3f` | `transform(Matrix3f in)`
`Matrix4d` | `transform(Matrix4d in)`
`Matrix4f` | `transform(Matrix4f in)`
`Point3d` | `transform(Point3d in)`
`Point3f` | `transform(Point3f in)`
`Vector3d` | `transform(Vector3d in)`
`Vector3f` | `transform(Vector3f in)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### angleDirection

    protected float angleDirection

### baseTransformMatrix

    protected Matrix3f baseTransformMatrix

Constructor Detail

### CoordTransformer

    public CoordTransformer(Matrix3f in,
                            Matrix3f out)

Method Detail

### isRightHandedCS

    protected boolean isRightHandedCS(Matrix3f m3f)

  Test, whether a CS given by a Matrix uses righthanded orientation.

  Parameters:
    `m3f` - - contains base of a perpendicular coordinate-system(CS)
  Returns:
    true, if CS uses righthanded orientation; else false

### transform

    public AxisAngle4d transform(AxisAngle4d in)

### transform

    public AxisAngle4f transform(AxisAngle4f in)

### transform

    public Matrix3d transform(Matrix3d in)

### transform

    public Matrix3f transform(Matrix3f in)

### transform

    public Matrix4d transform(Matrix4d in)

### transform

    public Matrix4f transform(Matrix4f in)

### transform

    public Point3d transform(Point3d in)

### transform

    public Point3f transform(Point3f in)

### transform

    public Vector3d transform(Vector3d in)

### transform

    public Vector3f transform(Vector3f in)

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD